#! /usr/bin/bash

# setup region
# g.region rows=3105 cols=7025 -ap

# make folder for results before running
# mkdir results

# run in parallel like this
# seq 1 10 | parallel --gnu -k --progress bash ./tests.sh {} 100

# concurrent use, first argument is an ID
id=$1
n=$2

results="results/creation-${id}.csv"
errors="results/creation-stderror-${id}.log"

rm $results
rm $errors

for x in `seq 1 $n`
do
d=`date +"%Y-%m-%d %H:%M:%S"`

if bash ./test-map-creation.sh $id 2>> $errors ; then
    echo $d",pass" >> $results
else
    echo $d",fail" >> $results
fi

done

